rem Important!!! Error code and silent command must get from the vendor

rem put driver package into this folder
rem put every driver slient installation script here

@echo off
rem SET RecLog path to C:\AutoSCR\AutoSCR.log
SET RecLog=C:\AutoSCR\AutoSCR.log
set CurrentCount=60

rem ===== only test before release =====
@echo on
rem e:
cd "%~dp0"
md C:\AutoSCR
rem md c:\Windows\xLog\NV
if not exist %RecLog% echo ==== My driver test start ==== >>%RecLog%
rem ===== only test before release =====


rem ============== set path variable =================
rem Atheros WLAN/BT
set ABT=BT_Atheros
set ABTCommand=PnPUtil -i -a *.inf
set AWLAN=WLAN_Atheros
set AWLANCommand=PnPUtil -i -a *.inf

rem Realtek WLAN/BT
set RWLAN=WLAN_Realtek
set RWLANCommand=Install.cmd
set RBT=BT_Realtek
set RBTCommand=Install.cmd
rem ======= Atheros WLAN and BT start =======
rem :Atheros_WLAN
echo Installing %AWLAN%
FOR /F "tokens=1" %%A IN ('%~dp0DEVCON.exe find "PCI\VEN_168C&DEV_003E&SUBSYS_084711AD"') DO SET InWLAN=%%A
IF %InWLAN%==No (
ECHO %date% %time% NO AtherosWLAN device >>%RecLog%
) ELSE (
pushd %AWLAN%
start /wait %AWLANCommand%
if %errorlevel% GEQ 1 (
  echo ====Fail[%errorlevel%],  %date% %time% Atheros_WLAN install >>%RecLog%
  echo command: start /wait %AWLANCommand% >>%RecLog%
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%],  %date% %time% Atheros_WLAN install >>%RecLog%
popd
)

rem :Atheros_BT
echo Installing %ABT%
FOR /F "tokens=1" %%A IN ('%~dp0DEVCON.exe find "USB\VID_04CA&PID_301F"') DO SET InBT=%%A
IF %InBT%==No (
ECHO %date% %time% NO AtherosBT device >>%RecLog%
) ELSE (
pushd %ABT%
start /wait %ABTCommand%
if %errorlevel% GEQ 1 (
  echo ====Fail[%errorlevel%],  %date% %time% Atheros_BT install >>%RecLog%
  echo command: start /wait %ATCommand% >>%RecLog%
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%],  %date% %time% Atheros_BT install >>%RecLog%
popd
)

rem ======= Atheros WLAN and BT end =======

rem ======= Realtek WLAN and BT start =======
rem :Realtek_WLAN
echo Installing %RWLAN%
FOR /F "tokens=1" %%A IN ('%~dp0DEVCON.exe find "PCI\VEN_10EC&DEV_C822&SUBSYS_C8231D2E"') DO SET RtWLAN=%%A
IF %RtWLAN%==No (
ECHO %date% %time% NO RealtekWLAN device >>%RecLog%
) ELSE (
pushd %RWLAN%
start /wait %RWLANCommand%
if %errorlevel% GEQ 1 (
  echo ====Fail[%errorlevel%],  %date% %time% Realtek_WLAN install >>%RecLog%
  echo command: start /wait %RWLANCommand% >>%RecLog%
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%],  %date% %time% Realtek_WLAN install >>%RecLog%
popd
)

rem :Realtek_BT
echo Installing %RBT%
FOR /F "tokens=1" %%A IN ('%~dp0DEVCON.exe find "USB\VID_0CB5&PID_C547"') DO SET RtBT=%%A
IF %RtBT%==No (
ECHO %date% %time% NO RealtekBT device >>%RecLog%
) ELSE (
pushd %RBT%
start /wait %RBTCommand%
if %errorlevel% GEQ 1 (
  echo ====Fail[%errorlevel%],  %date% %time% Realtek_BT install >>%RecLog%
  echo command: start /wait %RBTCommand% >>%RecLog%
)
if %errorlevel% EQU 0 echo Pass[%errorlevel%],  %date% %time% Realtek_BT install >>%RecLog%
popd
)

rem ======= Realtek WLAN and BT end =======

echo . >>%RecLog%
echo ========== End install driver ========== >>%RecLog%
echo . >>%RecLog%


